package com.jeesite.modules.aaaaa.entity;

import javax.validation.constraints.Size;

import com.jeesite.common.entity.DataEntity;
import com.jeesite.common.mybatis.annotation.Column;
import com.jeesite.common.mybatis.annotation.Table;
import com.jeesite.common.mybatis.mapper.query.QueryType;

/**
 * 测试表Entity
 * @author aa
 * @version 2022-05-16
 */
@Table(name="aaaaa", alias="a", label="测试表信息", columns={
		@Column(name="id", attrName="id", label="id", isPK=true),
		@Column(name="name", attrName="name", label="name", queryType=QueryType.LIKE),
		@Column(name="sex", attrName="sex", label="sex"),
	}, orderBy="a.id DESC"
)
public class Aaaaa extends DataEntity<Aaaaa> {

	private static final long serialVersionUID = 1L;
	private String name;		// name
	private String sex;		// sex

	public Aaaaa() {
		this(null);
	}

	public Aaaaa(String id){
		super(id);
	}

	@Size(min=0, max=255, message="name长度不能超过 255 个字符")
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Size(min=0, max=255, message="sex长度不能超过 255 个字符")
	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

}
